package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Usuario;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

public class RenderRelatorioCheckinUsuariosSelecionados implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		Usuario usuario = (Usuario) o;

		Listcell lc = new Listcell(usuario.getClaveUsuario().toString());
		lc.setParent(lstm);

		lc = new Listcell(usuario.getNombusuario());
		lc.setParent(lstm);

		Button btn = new Button();

		lc = new Listcell();
		lc.setParent(lstm);

		btn.setWidth("16");
		btn.setHeight("16");
		btn.setImage("/gui/img/remove.png");

		btn.addEventListener("onClick", new EventListener() {
			@Override
			public void onEvent(Event event) throws Exception {
				MyListbox listBox = (MyListbox) event.getTarget().getParent().getParent().getParent();
				Listitem listItem = (Listitem) event.getTarget().getParent().getParent();
				listBox.removeItem((Usuario) listItem.getAttribute("data"));
			}
		});

		lc.appendChild(btn);
		lstm.setAttribute("data", usuario);
	}
}

